| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csCondition Member List

This is the complete list of members for csCondition, including all inherited members.

Create(uint32 conditionAttributes=0) | csCondition | `[static]`
csRefCount() | csRefCount | `[inline]`
DecRef() | csRefCount | `[inline]`
Delete() | csRefCount | `[inline, protected, virtual]`
GetLastError() const =0 | csCondition | `[pure virtual]`
GetRefCount() const | csRefCount | `[inline]`
IncRef() | csRefCount | `[inline]`
ref_count | csRefCount | `[protected]`
Signal(bool WakeAll=false)=0 | csCondition | `[pure virtual]`
Wait(csMutex *mutex, csTicks timeout=0)=0 | csCondition | `[pure virtual]`
~csRefCount() | csRefCount | `[inline, protected, virtual]`